Package org.drinkless.tdlib

# Class TdApi.EditStory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.EditStory

Enclosing class:
  `TdApi`

public static class TdApi.EditStory extends TdApi.Function<TdApi.Ok>
Changes content and caption of a story. Can be called only if story.canBeEdited == true.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InputStoryAreas`
  `areas`
  New clickable rectangle areas to be shown on the story media; pass null to keep the current areas.
  `TdApi.FormattedText`
  `caption`
  New story caption; pass null to keep the current caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputStoryContent`
  `content`
  New content of the story; pass null to keep the current content.
  `int`
  `storyId`
  Identifier of the story to edit.
  `long`
  `storyPosterChatId`
  Identifier of the chat that posted the story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditStory()`
  Default constructor for a function, which changes content and caption of a story.
  `EditStory(long storyPosterChatId, int storyId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption)`
  Creates a function, which changes content and caption of a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyPosterChatId

    public long storyPosterChatId
    Identifier of the chat that posted the story.

  - ### storyId

    public int storyId
    Identifier of the story to edit.

  - ### content

    public TdApi.InputStoryContent content
    New content of the story; pass null to keep the current content.

  - ### areas

    public TdApi.InputStoryAreas areas
    New clickable rectangle areas to be shown on the story media; pass null to keep the current areas. Areas can't be edited if story content isn't changed.

  - ### caption

    public TdApi.FormattedText caption
    New story caption; pass null to keep the current caption.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditStory

    public EditStory()
    Default constructor for a function, which changes content and caption of a story. Can be called only if story.canBeEdited == true.

    Returns `Ok`

  - ### EditStory

    public EditStory(long storyPosterChatId, int storyId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption)
    Creates a function, which changes content and caption of a story. Can be called only if story.canBeEdited == true.

    Returns `Ok`

    Parameters:
      `storyPosterChatId` - Identifier of the chat that posted the story.
      `storyId` - Identifier of the story to edit.
      `content` - New content of the story; pass null to keep the current content.
      `areas` - New clickable rectangle areas to be shown on the story media; pass null to keep the current areas. Areas can't be edited if story content isn't changed.
      `caption` - New story caption; pass null to keep the current caption.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR